## ros-one-wge100-camera-firmware 1.8.5-4jammy.20251023.0129

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.3)
project(wge100_camera_firmware)

find_package(catkin REQUIRED)

catkin_package()

=== src/hardware/lib/mac/doc/Makefile ===
name=mac

srcs= mac.tex \
#

figs= mac-blocks.fig \
#

pdfs = $(figs:%.fig=figs/%.pdf)

.PHONY: default
default: all

.PHONY: all
all: $(name).pdf

%.pdf: %.fig
	fig2dev -L pdf $< $@ 

$(name).pdf: $(srcs) $(pdfs)
	@echo ----- pdflatex 1... -----
	pdflatex `basename $@ .pdf`.tex
	@echo ----- pdflatex 2... -----
	pdflatex `basename $@ .pdf`.tex
	@echo ----- done -----

.PHONY: clean
clean:
	rm -f *.aux *.bbl *.blg *.log $(name).pdf TAGS

=== debian/changelog ===
ros-one-wge100-camera-firmware (1.8.5-4jammy.20251023.0129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <ahendrix@willowgarage.com>  Thu, 23 Oct 2025 01:29:32 +0000

ros-one-wge100-camera-firmware (1.8.5-0jammy) jammy; urgency=high



 -- Austin Hendrix <ahendrix@willowgarage.com>  Tue, 23 Mar 2021 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.3-0jammy) jammy; urgency=high

  * removed deprecated test, updated CMakeLists.txt for new policy
  * updated changelogs
  * Contributors: Dave Feil-Seifer, David Feil-Seifer

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sun, 07 Mar 2021 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.2-0jammy) jammy; urgency=high



 -- Austin Hendrix <ahendrix@willowgarage.com>  Tue, 16 Jul 2013 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.1-0jammy) jammy; urgency=high

  * Fix dependencies and set myself as maintainer.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sun, 14 Jul 2013 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.0-0jammy) jammy; urgency=high

  * Version 1.8.0
  * Finish catkinizing.
  * Switching to cakin: catkinizing wge100_camera_firmware is building without installing the python scripts.
  * Contributors: Austin Hendrix, Georg Bartels

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 12 Jul 2013 00:00:00 -0000

ros-one-wge100-camera-firmware (1.7.4-0jammy) jammy; urgency=high

  * Remove everything but WGE100 from wge100_driver stack.
  * new stack for wge100 driver and firmware
  * Contributors: Jack O'Quin

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 12 Oct 2012 00:00:00 -0000

=== debian/control ===
Source: ros-one-wge100-camera-firmware
Section: misc
Priority: optional
Maintainer: Austin Hendrix <ahendrix@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), gforth, ros-one-catkin, ros-one-rospy
Homepage: http://ros.org/wiki/wge100_camera_firmware
Standards-Version: 3.9.2

Package: ros-one-wge100-camera-firmware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gforth, ros-one-rospy
Description: Source for the WGE100 Ethernet camera: Verilog source for the FPGA, Forth source for the camera firmware.
 Intended for camera developers. Note that a built binary from this package is checked in under wge100_camera/firmware_images/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-wge100-camera-firmware//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-wge100-camera-firmware 1.8.5-4jammy.20260220.2219

=== debian/changelog ===
ros-one-wge100-camera-firmware (1.8.5-4jammy.20260220.2219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 20 Feb 2026 22:19:48 +0000

## ros-one-wge100-camera-firmware 1.8.5-4noble.20251023.0127

=== src/firmware/Makefile ===
j1.mem j1.bin: *.fs Makefile version.fs
	@gforth -e 'include main.fs bye'

version.fs:
	@echo ': version s" '`svnversion`'" ;' > version.fs
	@date +': builddate d# %s. d# %z ;' >> version.fs

doc: *.fs Makefile
	@gforth -e 's" docforth.fs" included s" toplevel.fs" document bye'

# PRGDIR=$(HOME)/wge100_firmware/trunk/synth/programming_files/latest
PRGDIR=../hardware/synth/programming_files/latest

wge100_ip_camera.bit: $(PRGDIR)/wge100.bit j1.mem $(PRGDIR)/wge100_bd.bmm
	(. /opt/Xilinx/11.1/ISE/settings32.sh ; data2mem -bm $(PRGDIR)/wge100_bd.bmm -bd j1.mem tag jram -bt $(PRGDIR)/wge100.bit -o b wge100_ip_camera.bit )

wge100_ip_camera.mcs: wge100_ip_camera.bit
	(. /opt/Xilinx/11.1/ISE/settings32.sh ; linux32 promgen -w -p mcs -c FF -o wge100_ip_camera.mcs -u 0 wge100_ip_camera.bit >/dev/null )

defines_tcpip.fs defines_tcpip2.fs: genoffsets.py defines*py
	python genoffsets.py

download: j1.mem
	./send
	sudo python listenterminal.py

bundle: j1.bin wge100_ip_camera.mcs
	cp j1.bin wge100_ip_camera.mcs tools/*.py $(HOME)/bundle

=== src/hardware/synth/Makefile ===
project = wge100
vendor = xilinx
family = spartan3e
part = xc3s500e-4cp132 # Camera
#part = xc3s500e-5fg320 # 3E Starter
#part = xc3s700a-5fg484 # 3A Starter
#top_module = top
top_module = topj1
constraints = wge100_RevC_Camera.ucf
#top_module = dram

libdir = ../lib
libs=mac

xilinx_cores += ../verilog/coregen/pixfifo.xco

vfiles =\
  ../verilog/topj1.v \
  ../verilog/watchdog.v \
  ../verilog/j1.v \
  ../verilog/uart.v \
  ../verilog/ck_div.v \
  ../verilog/reset_gen.v \
  ../verilog/trig_watchdog.v \
#

include $(libdir)/synth/xilinx.mk

wge100.ucf: $(constraints)
	cp $(constraints) wge100.ucf
junk += wge100.ucf

=== src/hardware/lib/mac/tb/Makefile ===
.SECONDEXPANSION:
tests = mac_tb_raw mac_tb_stream mii_tb
vendor = xilinx
family = spartan6
libdir = ../../
isedir = /opt/Xilinx/11.1/ISE/

libs = mac

mac_tb_raw_vfiles += mac_tb_raw.v \
#

mac_tb_stream_vfiles += mac_tb_stream.v \
#

mii_tb_vfiles += mii_tb.v \
#

include $(libdir)/sim/iverilog.mk

=== debian/changelog ===
ros-one-wge100-camera-firmware (1.8.5-4noble.20251023.0127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <ahendrix@willowgarage.com>  Thu, 23 Oct 2025 01:27:10 +0000

ros-one-wge100-camera-firmware (1.8.5-0noble) noble; urgency=high



 -- Austin Hendrix <ahendrix@willowgarage.com>  Tue, 23 Mar 2021 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.3-0noble) noble; urgency=high

  * removed deprecated test, updated CMakeLists.txt for new policy
  * updated changelogs
  * Contributors: Dave Feil-Seifer, David Feil-Seifer

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sun, 07 Mar 2021 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.2-0noble) noble; urgency=high



 -- Austin Hendrix <ahendrix@willowgarage.com>  Tue, 16 Jul 2013 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.1-0noble) noble; urgency=high

  * Fix dependencies and set myself as maintainer.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sun, 14 Jul 2013 00:00:00 -0000

ros-one-wge100-camera-firmware (1.8.0-0noble) noble; urgency=high

  * Version 1.8.0
  * Finish catkinizing.
  * Switching to cakin: catkinizing wge100_camera_firmware is building without installing the python scripts.
  * Contributors: Austin Hendrix, Georg Bartels

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 12 Jul 2013 00:00:00 -0000

ros-one-wge100-camera-firmware (1.7.4-0noble) noble; urgency=high

  * Remove everything but WGE100 from wge100_driver stack.
  * new stack for wge100 driver and firmware
  * Contributors: Jack O'Quin

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 12 Oct 2012 00:00:00 -0000

## ros-one-wge100-camera-firmware 1.8.5-4noble.20260220.2231

=== debian/changelog ===
ros-one-wge100-camera-firmware (1.8.5-4noble.20260220.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 20 Feb 2026 22:31:15 +0000
